package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2024-02-23
 * @description : 客服聊天消息类型
 */
@Getter
@AllArgsConstructor
public enum KfRoomMsgTypeEnum {

    /**
     * 小程序消息
     */
    KF_MSG_TYPE_MINI_APP("miniprogrampage"),

    /**
     * 文本消息
     */
    KF_MSG_TYPE_TEXT("text"),

    /**
     * 图片消息
     */
    KF_MSG_TYPE_IMAGE("image"),

    /**
     * 图文连接
     */
    KF_MSG_TYPE_LINK("link");

    /**
     * 消息类型
     */
    private String value;

    public static KfRoomMsgTypeEnum getMsgTypeEnum(String msgType) {
        for (KfRoomMsgTypeEnum kfRoomMsgTypeEnum : KfRoomMsgTypeEnum.values()) {
            if (Objects.equals(msgType, kfRoomMsgTypeEnum.getValue())) {
                return kfRoomMsgTypeEnum;
            }
        }
        return null;
    }
}
